%global curdatetime		%(date +%%Y%%m%%d%%H%%M%%S)
%global commit0			ddf8e015f1b0010ec1e5695f779a084e7594f2ed
%global shortcommit0	%(c=%{commit0}; echo ${c:0:7})

%define package_name	Getopt-Long
%define project_name	getopt-long6
%define developer_name	Leont

Name:			rakudo-%{package_name}
Version:		0
Release:		1.%{shortcommit0}%{?dist}
Summary:		Extended processing of command line options
License:		AGPLv3 and CC-BY
# Images are CC-BY, code is AGPLv3
URL:			https://github.com/%{developer_name}/%{project_name}
Source0:		https://github.com/%{developer_name}/%{project_name}/archive/%{commit0}.tar.gz#/%{name}-%{version}.git_%{shortcommit0}.tar.gz

BuildArch:		noarch

BuildRequires:	rakudo >= %rakudo_rpm_version
Requires:		rakudo >= %rakudo_rpm_version

%description
The Getopt::Long module implements an extended getopt function called
GetOptions(). It parses the command line from @ARGV, recognizing and removing
specified options and their possible values.  It adheres to the POSIX syntax
for command line options, with GNU extensions. In general, this means that
options have long names instead of single letters, and are introduced with
a double dash "--". Support for bundling of command line options, as was the
case with the more traditional single-letter approach, is provided but not
enabled by default.

%prep
%setup -q -n %{project_name}-%{commit0}

%build
true

%install
export QA_SKIP_BUILD_ROOT=1
RAKUDO_RERESOLVE_DEPENDENCIES=0 %perl6_mod_inst --to=%{buildroot}%{perl6_vendor_dir} --for=vendor


%check
perl6 -Ilib t/*.t


%files
%{perl6_vendor_dir}/*/*


%changelog
* Tue Oct 23 2018 Michal Ingeli <mi@v3.sk> - 0-1
- New package
